\name{NASTIpredict}
\alias{NASTIpredict}
\title{
A wrapper function for generating prediction scores of the training data.
}
\description{
A wrapper function for generating prediction scores of the training data.
}
\usage{
NASTIpredict(poscounts, negcounts, pospairs, negpairs, llanti = llanti_full, llsense = llsense_full)
}
\arguments{
  \item{poscounts}{
	A matrix of read counts from the expected strand.
}
  \item{negcounts}{
	A matrix of read counts from the unexpected strand.
}
  \item{pospairs}{
	A N by two matrix of known cis-NAT pairs.
}
  \item{negpairs}{
	A N by two matrix of negative training data, generated by "getnegativepairs" function
}
  \item{llanti}{
	Log likelihood function for the antisense model.
}
  \item{llsense}{
	Log likelihood function for the sense only model.
}
}


\author{
Song Li, sl228@duke.edu
}

\examples{
data(WholeRoot)
negpairs<-getnegativepairs(WholeRoot$genepos)
head(negpairs)
WRpred<-NASTIpredict(WholeRoot$smat,WholeRoot$asmat, WholeRoot$pospairs, negpairs)
}

