\name{getnegativepairs}
\alias{getnegativepairs}

\title{
Extract negative training gene pairs from known gene annotation.
}
\description{
Extract negative training gene pairs from known gene annotation.
}
\usage{
getnegativepairs(gtf, dist = 500)
}

\arguments{
  \item{gtf}{
	This is provided as part of the WholeRoot data.
}
  \item{dist}{
	Intergenic distance, default 500 bp for Arabidopsis. May use other values for species other than Arabidopsis.
}
}

\value{
A N by two matrix with gene pairs that are 500 bp from each other, and are on the opposite strand.
}
\author{
Song Li, sl228@duke.edu
}
\examples{
data(WholeRoot)
negpairs<-getnegativepairs(WholeRoot$genepos)
}

